$(function () {
	getAllSpaceEducationCourse();
	$('#bearPalm_DIV_time_div .input-group.date').datepicker({
        todayBtn: "linked",
        keyboardNavigation: false,
        forceParse: false,
        calendarWeeks: true,
        autoclose: true,
        endDate : new Date()
    });
})
var oTable;
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		   oTable = $('#hidden-table-info').dataTable( {

	 	         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
	             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
	             "bDestroy" : true,       //销毁表格对象
	             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
	             "searching": false,//禁用搜索（搜索框）
	             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
	             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
	             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
	             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
	             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
	             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
	             //"bFilter" : true, //是否启动过滤、搜索功能
	             "bAutoWidth": false,
	    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
	             /*   "iDisplayLength": 5,
	                "iDisplayStart": 0,*/
	             "select": {
	                 style: 'os',
	                 selector: 'td:first-child'
	             },
                "ajax": {  //ajax方式向后台发送请求
                    "type": "POST",
                    "url": webroot+"SpaceEducation/getAllSpaceEducationBearPalm",
                    "dataType": "json"
                },
                "columns": [
                    { "sTitle": "获奖时间",   "mData": "bearPalmTime" },
                    { "sTitle": "组织单位",  "mData": "bearPalmSponsor" },
                    { "sTitle": "赛事名称",  "mData": "matchName" },
                    { "sTitle": "获奖名称",  "mData": "bearPalmName" },
                    { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}
                ],
                "oLanguage" : { // 国际化配置
                    "sProcessing" : "正在获取数据，请稍后...",
                    "sLengthMenu" : "每页 _MENU_ 条记录",
                    "sZeroRecords" : "没有找到数据",
                    "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                    "sInfoEmpty" : "记录数为0",
                    "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                    "sInfoPostFix" : "",
                    // "sSearch" : "查询",
                    "sUrl" : "",
                    "oPaginate" : {
                        "sFirst" : "第一页",
                        "sPrevious" : "上一页",
                        "sNext" : "下一页",
                        "sLast" : "最后一页"
                    }
                },


		    });

		} );
}
function search() {
    var bearPalmSponsor= $("#bearPalmSponsor").val();
    searchMessage(bearPalmSponsor);
}
function searchMessage(bearPalmSponsor) {
    var url=webroot+"SpaceEducation/getAllSpaceEducationBearPalm?bearPalmSponsor="+bearPalmSponsor;
    $('#hidden-table-info').DataTable().ajax.url( url).load();
}
/**
 * 添加或修改获奖div显示
 * @param id
 * @returns
 */
function bearPalm_DIV_Show(id){
	if(id == "0"){
		$("#bearPalm_DIV_id").val("0");			//id
		$("#bearPalm_DIV_time").val("");	//获奖时间
		$("#bearPalm_DIV_sponsor").val("");		//组织单位
		$("#bearPalm_DIV_name").val("");		//获奖名称
		$("#bearPalm_DIV_time_div .input-group.date").datepicker('setStartDate',null);
	}else {
		var data={};
		data['bearPalmID'] = id;
		$.ajax({
			type : "POST",
			url : webroot+"SpaceEducation/getSpaceEducationBearPalm",
			data : JSON.stringify(data) ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var spaceEducationBearPalm=result.spaceEducationBearPalm;
				$("#bearPalm_DIV_id").val(spaceEducationBearPalm.bearPalmID);			//id
				$("#bearPalm_DIV_time").val(spaceEducationBearPalm.bearPalmTime);	//获奖时间
				$("#bearPalm_DIV_sponsor").val(spaceEducationBearPalm.bearPalmSponsor);		//组织单位
				$("#bearPalm_DIV_name").val(spaceEducationBearPalm.bearPalmName);		//获奖名称
				$("#matchName_DIV_name").val(spaceEducationBearPalm.matchName);		//赛事名称
			}
		});	
	}
	$('#reform_DIV').modal('show');
}
/**
 * 保存一个获奖
 * 2017年3月13日13:47:40
 * @author 20170251
 * 
 * @returns
 */
function course_DIV_save(){
	var bearPalmID=$("#bearPalm_DIV_id").val();			//id
	var bearPalmTime=$("#bearPalm_DIV_time").val();	//获奖时间
	var bearPalmSponsor=$("#bearPalm_DIV_sponsor").val();		//组织单位
	var bearPalmName=$("#bearPalm_DIV_name").val();		//获奖名称
	var matchName=$("#matchName_DIV_name").val();			//赛事名称
	var data={};
	data['bearPalmID'] = bearPalmID;
	data['bearPalmName'] = bearPalmName;
	data['bearPalmTime'] = bearPalmTime;
	data['bearPalmSponsor'] = bearPalmSponsor;
	data['matchName'] = matchName;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceEducation/saveSpaceEducationBearPalm",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
//				getAllSpaceEducationCourse();
				$('#hidden-table-info').DataTable().draw(false);
				
				$('#reform_DIV').modal('hide');
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
/**
 * 删除一个获奖
 * @returns
 * @author 20170251
 */
function bearPalm_DIV_remove(id){
	swal({
        title: "您确定删除吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['bearPalmID'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"SpaceEducation/removeSpaceEducationBearPalm",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
//        				getAllSpaceEducationCourse();
        				$('#hidden-table-info').DataTable().draw(false);
        				changPage();
        				
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	
	/*if (confirm("您确定删除吗？")) {  
    }  
    else {  
    	return;
    }  
	var data={};
	data['bearPalmID'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceEducation/removeSpaceEducationBearPalm",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	*/
}

/**
 * 导出
 * @returns
 */
function exercise_DIV_Derive(){
	downloadFile(webroot+"SpaceEducation/deriveSpaceEducationBearPalm");
}
/**
 * 下载文件
 * @param url
 * @returns
 */
function downloadFile(url){
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}


//删除当前页最后一条记录，跳到上一页
function changPage(){
    var settings = oTable.fnSettings(); //获得datatable的settings; //获得datatable的settings
    var paging_length = settings._iDisplayLength; //当前每页显示多少记录
    var page_start = settings._iDisplayStart; //当前页开始是第几条记录
    var iRecordsDisplay = settings._iRecordsDisplay; //当前页 
    if ((iRecordsDisplay - page_start) == 1) { 
             if (page_start > 0) { 
                  oTable.fnPageChange('previous', true); 
             } 
    }
}
