$(function () {
	$( '#File_file' ).prettyFile();
	getAllSpaceEducationCourse();
	$('#majorApparatus_DIV_time_div .input-group.date').datepicker({
        todayBtn: "linked",
        keyboardNavigation: false,
        forceParse: false,
        calendarWeeks: true,
        autoclose: true,
        endDate : new Date()
    });
})
var oTable;
var page_start=0;
/**
 * 获取项目库
 * 根据团队id 项目总状态为上线
 * 团队版
 * @author 20170251
 * 2017年3月7日14:30:12
 * @returns
 */
function getAllSpaceEducationCourse()
{
	 $(document).ready(function() {
		 oTable = $('#hidden-table-info').dataTable( {
	         "bPaginage":true,  /*默认为true,是否开启分页功能,即使设置为false,仍然会有一个默认的<前进,后退>分页组件 */    
             "bDeferRender": true,//延迟渲染  是否延迟渲染，当用Ajax或者js方式加载数据时开启延迟渲染会带来很大的速度提升*  当该属性设置为true时，表格每一行新增的元素只有在需要被画出来时才会被DataTable创建出来  
             "bDestroy" : true,       //销毁表格对象
             "aLengthMenu": [5,10,25,50],  //用户可自选每页展示数量 5条或10条
             "searching": false,//禁用搜索（搜索框）
             "lengthChange": true,  //是否允许终端用户从一个选择列表中选择分页的页数，页数为10，25，50和100，需要分页组件bPaginate的支持  
             "bStateSave" : true, //是否打开客户端状态记录功能,此功能在ajax刷新纪录的时候不会将个性化设定回复为初始化状态， 这样当终端用户重新加载这个页面的时候可以使用以前的设置
             "bSort" : false, //是否启动各个字段的排序功能 是否开启列排序
             "bProcessing": true, //当表格在处理的时候（比如排序操作）是否显示“处理中...”  
             //"aaSorting" : [[0, "asc"]],//默认的排序方式，第1列，升序排列
             "bServerSide": true,//开启服务器模式   配置DataTable使用服务器端处理，注意，sAjaxSource参数必须指定
             //"bFilter" : true, //是否启动过滤、搜索功能
             "bAutoWidth": false,
    		 "retrieve" : true,       //类似单例模式，重复利用以存在对象。使用指定的选择器检索表格，注意，如果表格已经被初始化，该参数会直接返回已经被创建的对象    * 并不会顾及你传递进来的初始化参数对象的变化，将该参数设置为true说明你确认已经明白这一点     * 如果你需要的话，bDestroy可以用来重新初始化表格  
             /*   "iDisplayLength": 5,
                "iDisplayStart": 0,*/
             "select": {
                 style: 'os',
                 selector: 'td:first-child'
             },
                
                 "ajax": {  //ajax方式向后台发送请求
                     "type": "POST",
                     "url": webroot+"SpaceMajorApparatus/getAllSpaceMajorApparatus",
                     "dataType": "json"
                 },
                 "columns": [
                     { "sTitle": "设备名称",   "mData": "majorApparatusName" },
                     { "sTitle": "品牌",  "mData": "majorApparatusBrand" },
                     { "sTitle": "设备型号",  "mData": "majorApparatusModel" },
                     { "sTitle": "购置时间",  "mData": "majorApparatusTime" },
                     { "sTitle": "操作", "mData": "editable","width": "100px","searchable": false}
                 ],
                 "oLanguage" : { // 国际化配置
                     "sProcessing" : "正在获取数据，请稍后...",
                     "sLengthMenu" : "每页 _MENU_ 条记录",
                     "sZeroRecords" : "没有找到数据",
                     "sInfo" : "显示 _START_ 到  _END_ 项 共 _TOTAL_ 项",
                     "sInfoEmpty" : "记录数为0",
                     "sInfoFiltered" : "(全部记录数 _MAX_ 条)",
                     "sInfoPostFix" : "",
                     // "sSearch" : "查询",
                     "sUrl" : "",
                     "oPaginate" : {
                         "sFirst" : "第一页",
                         "sPrevious" : "上一页",
                         "sNext" : "下一页",
                         "sLast" : "最后一页"
                     }
                 }
		    });

		} );
}
function search() {
    var majorApparatusName= $("#majorApparatusName").val();
    var majorApparatusBrand= $("#majorApparatusBrand").val();
    searchMessage(majorApparatusName,majorApparatusBrand);
}
function searchMessage(majorApparatusName,majorApparatusBrand) {
    var url=webroot+"SpaceMajorApparatus/getAllSpaceMajorApparatus?majorApparatusName="+majorApparatusName+"&majorApparatusBrand="+majorApparatusBrand;
    $('#hidden-table-info').DataTable().ajax.url( url).load();
}
/**
 * 添加或修改专业设备div显示
 * @param id
 * @returns
 */
function majorApparatus_DIV_Show(id){
	if(id == "0"){
		$("#majorApparatus_DIV_id").val("0");			//id
		$("#majorApparatus_DIV_name").val("");	//设备名称
		$("#majorApparatus_DIV_brand").val("");		//品牌
		$("#majorApparatus_DIV_model").val("");		//设备型号
		$("#majorApparatus_DIV_time").val("");	//购置时间
		$("#majorApparatus_DIV_time_div .input-group.date").datepicker('setStartDate',null);
		
	}else {
		var data={};
		data['majorApparatusID'] = id;
		$.ajax({
			type : "POST",
			url : webroot+"SpaceMajorApparatus/getSpaceMajorApparatus",
			data : JSON.stringify(data) ,
			async:false,
			contentType:'application/json;charset=UTF-8',
			success : function(result) {
				var spaceMajorApparatus=result.spaceMajorApparatus;
				$("#majorApparatus_DIV_id").val(spaceMajorApparatus.majorApparatusID);			//id
				$("#majorApparatus_DIV_name").val(spaceMajorApparatus.majorApparatusName);	//设备名称
				$("#majorApparatus_DIV_brand").val(spaceMajorApparatus.majorApparatusBrand);		//品牌
				$("#majorApparatus_DIV_model").val(spaceMajorApparatus.majorApparatusModel);		//设备型号
				$("#majorApparatus_DIV_time").val(spaceMajorApparatus.majorApparatusTime);	//购置时间
			}
		});	
	}
	$('#reform_DIV').modal('show');
}
/**
 * 保存一个专业设备
 * 2017年3月13日13:47:40
 * @author 20170251
 * 
 * @returns
 */
function course_DIV_save(){
	var majorApparatusID=$("#majorApparatus_DIV_id").val();			//id
	var majorApparatusName=$("#majorApparatus_DIV_name").val();	//设备名称
	var majorApparatusBrand=$("#majorApparatus_DIV_brand").val();		//品牌
	var majorApparatusModel=$("#majorApparatus_DIV_model").val();		//设备型号
	var majorApparatusTime=$("#majorApparatus_DIV_time").val();	//购置时间
	var data={};
	data['majorApparatusID'] = majorApparatusID;
	data['majorApparatusName'] = majorApparatusName;
	data['majorApparatusModel'] = majorApparatusModel;
	data['majorApparatusTime'] = majorApparatusTime;
	data['majorApparatusBrand'] = majorApparatusBrand;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceMajorApparatus/saveSpaceMajorApparatus",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				//page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
				//getAllSpaceEducationCourse();
				$('#hidden-table-info').DataTable().draw(false);
				$('#reform_DIV').modal('hide');
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	
	
}
function course_DIV_close(){
	$('#reform_DIV').modal('hide');
}
/**
 * 删除一个课程
 * @returns
 * @author 20170251
 * 2017年3月13日13:47:30
 */
function majorApparatus_DIV_remove(id){
	swal({
        title: "您确定删除吗？",
        type: "warning",
        showCancelButton: true,
        confirmButtonColor: "#DD6B55",
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        closeOnConfirm: false,
        closeOnCancel: false
    },
    function (isConfirm) {
        if (isConfirm) {
        	var data={};
        	data['majorApparatusID'] = id;
        	$.ajax({
        		type : "POST",
        		url : webroot+"SpaceMajorApparatus/removeSpaceMajorApparatus",
        		data : JSON.stringify(data) ,
        		async:false,
        		contentType:'application/json;charset=UTF-8',
        		success : function(result) {
        			if(result.result==true){
        				//alert(result.msg);
        				swal("成功！", result.msg, "success");
        				//page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
        				$('#hidden-table-info').DataTable().draw(false);
        				changPage();
        				//getAllSpaceEducationCourse();
        			}else{
        				//alert(result.msg);
        				swal("失败！", result.msg, "error");
        			}
        		}
        	});
        }else{
        	 swal("已取消", "您已取消操作！", "error");
        } 
    });
	
	/*if (confirm("您确定删除吗？")) {  
    }  
    else {  
    	return;
    }  
	var data={};
	data['majorApparatusID'] = id;
	$.ajax({
		type : "POST",
		url : webroot+"SpaceMajorApparatus/removeSpaceMajorApparatus",
		data : JSON.stringify(data) ,
		async:false,
		contentType:'application/json;charset=UTF-8',
		success : function(result) {
			if(result.result==true){
				//alert(result.msg);
				swal("成功！", result.msg, "success");
				getAllSpaceEducationCourse();
			}else{
				//alert(result.msg);
				swal("失败！", result.msg, "error");
			}
		}
	});	*/
}
/**
 * 导出数据
 * @returns
 */
function SpaceMajorApparatus_DIV_Derive(){
	downloadFile(webroot+"SpaceMajorApparatus/deriveSpaceMajorApparatus");
}
/**
 * 下载文件
 * @param url
 * @returns
 */
function downloadFile(url){
	var downloadFrame = $('#downloadFrame');
	if(downloadFrame.length == 0){
		downloadFrame = $('<iframe id="downloadFrame" src="" style="display:none"></iframe>');
		$('body').append(downloadFrame);
	}
	downloadFrame.attr('src',url);
}
/**
 * 导出模板
 * @returns
 */
function SpaceMajorApparatus_DIV_DeriveTemp(){
	window.open(webroot+"res/templet/spaceMajorApparatus.xls");
}
function SpaceMajorApparatus_DIV_Lead(){
	$("#File_file_div").empty();
	$("#File_file_div").html(' <input type="file" id="File_file" name="mainfile" class="form-control" accept=".xls" >');
	$( '#File_file' ).prettyFile();
	$('#File_DIV').modal('show');
}
function SpaceMajorApparatus_update(){
	if(fileChangeNo("File_file")==true){
    	$("#SpaceMajorApparatus_DIV_ZZSC").show();
    	$("#SpaceMajorApparatus_DIV_SC").hide();
    	$.ajaxFileUpload({  
    	    url: webroot+'File/upload',  
    	    secureuri:false, 
    	    dataType: 'json',
    	    fileElementId : ["File_file"],  
    	    success: function (data){//上传成功
    	    	var datat={};
    	    	datat['fileId'] = data.fileID;
    	    	$.ajax({
    	    		type : "POST",
    	    		url : webroot+"SpaceMajorApparatus/leadSpaceMajorApparatus",
    	    		data : JSON.stringify(datat) ,
    	    		async:false,
    	    		contentType:'application/json;charset=UTF-8',
    	    		success : function(result) {
    	    			$("#SpaceMajorApparatus_DIV_ZZSC").hide();
    	    	    	$("#SpaceMajorApparatus_DIV_SC").show();
    	    			if(result.result==true){
    	    				//alert(result.msg);
    	    				swal("成功！", result.msg, "success");
    	    				//page_start=($('#hidden-table-info').dataTable().fnSettings()._iDisplayStart) / ($('#hidden-table-info').dataTable().fnSettings()._iDisplayLength);//当前页开始  
    	    				//getAllSpaceEducationCourse();
    	    				$('#hidden-table-info').DataTable().draw(false);
    	    				$('#File_DIV').modal('hide');
    	    			}else{
    	    				//alert(result.msg);
    	    				swal("失败！", result.msg, "error");
    	    			}
    	    		}
    	    	});	
            }
    	});
    }else{
   	 //alert("请先选择上传文件"); 
   	swal("失败！", "请先选择上传文件", "error");
    }
}

//删除当前页最后一条记录，跳到上一页
function changPage(){
    var settings = oTable.fnSettings(); //获得datatable的settings; //获得datatable的settings
    var paging_length = settings._iDisplayLength; //当前每页显示多少记录
    var page_start = settings._iDisplayStart; //当前页开始是第几条记录
    var iRecordsDisplay = settings._iRecordsDisplay; //当前页 
    if ((iRecordsDisplay - page_start) == 1) { 
             if (page_start > 0) { 
                  oTable.fnPageChange('previous', true); 
             } 
    }
}

